<div id="story-list" class="story-list-wrapper">
  <h3>Story List</h3>
  <table>
    <tr>
      <th>Story</th>
      <th>Story Point</th>
      <th>Status</th>
    </tr>
    {{#each data.scrumPlan.storyList}}
    <tr>
      <td>{{storyName}}</td>
      <td id="story-point-{{storyId}}">{{storyPoint}}</td>
      <td id="story-status-{{storyId}}">{{storyStatus}}</td>
    </tr>
    {{/each}}
  </table>
</div>

<script>

  $(function () {

    const handleStoryListUpdate = (storyList) => {
      storyList.forEach(story => {
        $(`#story-point-${story.storyId}`).text(story.storyPoint);
        $(`#story-status-${story.storyId}`).text(story.storyStatus);
      });

      const nextStory = storyList.find(story => story.storyStatus === 'active') || storyList[storyList.length - 1];
      app.activeStory = nextStory;
      const allStoriesVoted = storyList.every(story => story.storyStatus === 'voted');
      $('.fib-item').removeClass('selected');
      $('#current-vote-value').remove();
      if (allStoriesVoted) {
        $('.fib-item').addClass('disabled');
        $('.active-story-name').remove();
        $('#scrum-panel').addClass('hidden');
      }
      else {
        $('#current-vote-value').text('Please Vote!');
        $('.active-story-name').text(nextStory.storyName);
      }
    };

    socket.on('STORY_LIST_UPDATED', function (socketData) {
      handleStoryListUpdate(socketData.storyList);
    });
  });

</script>